terraform {
    required_providers {
        google = {
            source  = "hashicorp/google"
            version = "~> 6.0"
        }
    }
}

provider "google" {
    project = var.project_id
    region  = var.region
}

# Module Network
module "network" {
    source = "../../modules/network"

    project_name      = var.project_name
    region            = var.region
    frontend_cidr     = var.frontend_cidr
    backend_cidr      = var.backend_cidr
    database_cidr     = var.database_cidr
    ssh_source_ranges = var.ssh_source_ranges
}